#version 330 core

in vec2 texcoord;
in vec4 ourcolor;
in float finalopaquevalue;

out vec4 color;

uniform sampler2D texture0;
uniform int texturecheck = 1;
uniform int selectcheck;

void main()
{
vec4 mixcolor;

if(selectcheck == 0){
    if(texturecheck > 0){
        vec4 texcolor = texture(texture0, texcoord);
        mixcolor = mix(texcolor, ourcolor, ourcolor.a);
        mixcolor.a = finalopaquevalue*texcolor.a;
    }
    else{
        mixcolor = ourcolor;
	    mixcolor.a = finalopaquevalue;
    }
}
else
    mixcolor = ourcolor;

color = mixcolor;
}